
/*******************************************************************************
**
** Function initTracking()
** Inputs:  None
** Return:  None
**
** Description:
** Charge les donnes de tracking
**
*******************************************************************************/
function initTracking()
{
	//Rien
}


/*******************************************************************************
**
** Function: doLMSInitialize()
** Inputs:  None
** Return:  Returns hacp if the initialization was successful, or
**          returns false if the initialization failed.
**
** Description:
** Initialize communication with LMS by calling the Initialize() API method
**
*******************************************************************************/
function doLMSInitialize()
{
	return "web";
}


/*******************************************************************************
**
** Function doLMSFinish()
** Inputs:  None
** Return:  Returns true if the termination of communication was successful, or
**          returns false if the termination of communication was unsuccessful
**
** Description:
** Terminate communication with LMS by calling the Terminate() API method
**
*******************************************************************************/
function doLMSFinish()
{
	return "true";
}

/*******************************************************************************
**
** Function doLMSGetValue(name)
** Inputs:  name - string representing a data model element 
**
** Return:  The value presently stored by the LMS for the data model element
**
** Description:
** Requests the value for the data model element
**
*******************************************************************************/
function doLMSGetValue(name)
{
	if (tracking[name])
	{
		return tracking[name];
	}
	else
	{
		return "";
	}
}

/*******************************************************************************
**
** Function doLMSSetValue(name, value)
** Inputs:  name -string representing the data model defined category or element
**          value -the value that the named element or category will be assigned
** Return:  true if successful
**          false if failed.
**
** Description:
** Converts the element name to the Updated element name following the
** SCORM 2004 data model. Also converts the value to the appropriate format
** when neccessary.
**
*******************************************************************************/
function doLMSSetValue(name, value)
{
	return "true";
}

/*******************************************************************************
**
** Function doLMSCommit()
** Inputs:  None
** Return:  true if successful
**          false if failed.
**
** Description:
**
*******************************************************************************/
function doLMSCommit()
{
   return "true";
}
